[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#904325: pygments: autopkgtest fails: not ready for Python3.7



Source: pygments
Version: 2.2.0+dfsg-1
X-Debbugs-CC: debian-ci@lists.debian.org
User: debian-ci@lists.debian.org
Usertags: needs-update

Dear maintainers,

Currently the python3.7 transition¹ is going on, which means that
python3.7 is added to the supported python3 versions. However, since
python3-defaults added python3.7 support, your autopkgtest has been
failing.

Could you please investigate? It looks like the source isn't ready for
Python3.7 yet, I suggest you pick this up with upstream and point
upstream at PEP-479². I think the right action right now is to claim
that the package doesn't support Python3.7 (by adding the right
X-Python3-Version³ to debian/control?). Don't forget to check if the
autopkgtest also needs updates to test with the right versions.

Paul

¹ https://release.debian.org/transitions/html/python3.7.html
² https://docs.python.org/3.7/whatsnew/3.7.html#changes-in-python-behavior
³
https://www.debian.org/doc/packaging-manuals/python-policy/ch-module_packages.html#s-specifying_versions

https://ci.debian.net/data/autopkgtest/testing/amd64/p/pygments/657122/log.gz

======================================================================
ERROR: test_basic_api.test_lexer_classes(<class
'pygments.lexers.sql.PostgresConsoleLexer'>,)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pygments/lexers/sql.py", line
350, in get_tokens_unprocessed
    line = next(lines)
  File "/usr/lib/python3/dist-packages/pygments/lexers/sql.py", line
284, in __next__
    return next(self.iter)
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File
"/tmp/autopkgtest-lxc.3s1n48eh/downtmp/autopkgtest_tmp/tests/test_basic_api.py",
line 69, in verify
    tokens = list(inst.get_tokens(test_content))
  File "/usr/lib/python3/dist-packages/pygments/lexer.py", line 191, in
streamer
    for _, t, v in self.get_tokens_unprocessed(text):
RuntimeError: generator raised StopIteration

======================================================================
ERROR: test_basic_api.test_lexer_options(<class
'pygments.lexers.sql.PostgresConsoleLexer'>,)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pygments/lexers/sql.py", line
350, in get_tokens_unprocessed
    line = next(lines)
  File "/usr/lib/python3/dist-packages/pygments/lexers/sql.py", line
284, in __next__
    return next(self.iter)
StopIteration

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/nose/case.py", line 197, in runTest
    self.test(*self.arg)
  File
"/tmp/autopkgtest-lxc.3s1n48eh/downtmp/autopkgtest_tmp/tests/test_basic_api.py",
line 96, in verify
    ensure(inst.get_tokens('a\nb'), 'a\nb\n')
  File
"/tmp/autopkgtest-lxc.3s1n48eh/downtmp/autopkgtest_tmp/tests/test_basic_api.py",
line 90, in ensure
    concatenated = ''.join(token[1] for token in tokens)
  File
"/tmp/autopkgtest-lxc.3s1n48eh/downtmp/autopkgtest_tmp/tests/test_basic_api.py",
line 90, in <genexpr>
    concatenated = ''.join(token[1] for token in tokens)
  File "/usr/lib/python3/dist-packages/pygments/lexer.py", line 191, in
streamer
    for _, t, v in self.get_tokens_unprocessed(text):
RuntimeError: generator raised StopIteration

----------------------------------------------------------------------
Ran 1572 tests in 6.907s

FAILED (SKIP=9, errors=2)

Attachment: signature.asc
Description: OpenPGP digital signature


Reply to: